<!DOCTYPE html>
<html>
<head>

	<title>Calculette</title>
	<link rel="stylesheet" type="text/css" href="css/style.css">

</head>

<body>

<section class="global">

<section>
	<h2 class="titre_calc">Calculatrice JS</h2>
</section>
<section class="ecrire">
	<input class="saisie" type="number" id="ChiffreA">
	<input class="saisie" type="number" id="ChiffreB">
</section>
<section class="calculer">
	<input class="bouton" type="button" id="add" value="+">
	<input class="bouton" type="button" id="moins" value="-">
	<input class="bouton" type="button" id="fois" value="x">
	<input class="bouton" type="button" id="div" value="/">
<section class="suppr">
   <input class="bouton2" type="button" id="clear" value="SUPPR">
</section>
</section>
<section class="reponse">
	<output class="resultat" id="res"></output>
   </section>
</section>
	

<script type="text/javascript">
	
 document.getElementById("add").addEventListener("click",addition);
 document.getElementById("moins").addEventListener("click",soustraction);
 document.getElementById("fois").addEventListener("click",multiplier);
 document.getElementById("div").addEventListener("click",diviser);
  document.getElementById("clear").addEventListener("click",supprimer);
 document.getElementById('ChiffreA');
 document.getElementById('ChiffreB');

   	  function addition(){
document.getElementById('res').value = parseInt(ChiffreA.value) + parseInt(ChiffreB.value);
   	  }       	  
   	  function soustraction(){
document.getElementById('res').value = parseInt(ChiffreA.value) - parseInt(ChiffreB.value);
   	  }
      function multiplier(){
document.getElementById('res').value = parseInt(ChiffreA.value) * parseInt(ChiffreB.value);
   	  }
      function diviser(){
document.getElementById('res').value = parseInt(ChiffreA.value) / parseInt(ChiffreB.value);
   	  }
      function supprimer(){

document.getElementById('ChiffreA').value = "";
document.getElementById('ChiffreB').value = "";
document.getElementById('res').value = "";

      }

</script>

</body>


</html>
